Name:		sblim-wbemcli
Version:	1.6.3
Release:	1
Summary:	SBLIM WBEM Command Line Interface

Group:		Applications/System
License:	EPL
URL:		http://sblim.wiki.sourceforge.net/
Source0:	http://downloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.5.1-gcc43.patch
Patch1:		%{name}-1.6.2-https-segfaults.patch
Patch2:		%{name}-1.6.1-ssl-proto-option.patch
Patch10:	%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gcc >= 4.5.4-1
BuildRequires:	gcc-c++ >= 4.5.4-1
BuildRequires:	libstdc++-devel >= 4.5.4-1
BuildRequires:	make
BuildRequires:	patch

BuildRequires:	curl-devel >= 7.40.0-1
Requires:	curl >= 7.40.0-1
Requires:	libgcc >= 4.5.4-1
Requires:	libstdc++ >= 4.5.4-1

%description
WBEM Command Line Interface is a standalone, command line WBEM client. It is
specially suited for basic systems management tasks as it can be used in
scripts.

%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0 -p1 -b .gcc43
%patch1 -p1 -b .https-segfaults
%patch2 -p1 -b .ssl-proto-option
%patch10


%build
export CC=gcc
export CXX=g++

export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"
export CXXFLAGS=${CFLAGS}

export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

gmake install DESTDIR=${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}
/usr/bin/*


%changelog
* Mon Dec 07 2015 Michael Perzl <michael@perzl.org> - 1.6.3-1
- first version for AIX V5.1 and higher
